<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Five Stars - Update v4</title>
	<link rel="stylesheet" href="styles/base.css" type="text/css">
	<link rel="stylesheet" href="styles/advanced.css" type="text/css">
</head>
<body>

<?php
if (isset($_POST['rating']))
{
	switch($_POST['rating'])
	{
		case 'one':
			$message = "<p>You have rated this product to one star.</p>\n";
			$update = "UPDATE products SET OneStar = OneStar + 1 WHERE ProductReference = 75895;";
			break;
		case 'two':
			$message = "<p>You have rated this product to two stars.</p>\n";
			$update = "UPDATE products SET TwoStars = TwoStars + 1 WHERE ProductReference = 75895;";
			break;
		case 'three':
			$message = "<p>You have rated this product to three stars.</p>\n";
			$update = "UPDATE products SET ThreeStars = ThreeStars + 1 WHERE ProductReference = 75895;";
			break;
		case 'four':
			$message = "<p>You have rated this product to four stars.</p>\n";
			$update = "UPDATE products SET FourStars = FourStars + 1 WHERE ProductReference = 75895;";
			break;
		case 'five':
			$message = "<p>You have rated this product to five stars.</p>\n";
			$update = "UPDATE products SET FiveStars = FiveStars + 1 WHERE ProductReference = 75895;";
			break;
		default:
			$message = "<p>Invalid rating.</p>\n";
	}

}
?>
	<h1>Five Stars - Update v4</h1>

<p>Product: 1974 Porsche 911 Turbo 3.0</p>

<form method="post" action="update-v4.php">
<fieldset>
<label>
<input type="radio" name="rating" value="five">
<span>
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
</span>
</label>

<label>
<input type="radio" name="rating" value="four">
<span>
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
</span>
</label>

<label>
<input type="radio" name="rating" value="three">
<span>
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
</span>
</label>

<label>
<input type="radio" name="rating" value="two">
<span>
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
</span>
</label>

<label>
<input type="radio" name="rating" value="one">
<span>
<img src="stars/Full_Star_Yellow.svg" height="32" width="32" alt="Full Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
<img src="stars/Empty_Star.svg" height="32" width="32" alt="Empty Star">
</span>
</label>

<input type="submit" value="Rate this product">
</fieldset>
</form>

<?php
if (isset($message))
{
	print ($message);

	if (isset($update))
	{
		/* increment the star rating in the database */
		$dbfile = new PDO('sqlite:products.db3');
		$dbfile->exec($update);
		$dbfile = null;
	}
}
?>

<p><a href="index.php">Index</a></p>
</body>
</html>
