<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Five Stars - Update v6</title>
	<link rel="stylesheet" href="styles/base.css" type="text/css">
	<link rel="stylesheet" href="styles/advanced.css" type="text/css">
</head>
<body>

<?php
/* checking if a cookie as already been set */
if (isset($_COOKIE['update']))
{
	if ($_COOKIE['update'] == "yes")
	{
		print ("<p>Sorry, you already have evaluated this product.</p>\n");
		print ("<p><a href=\"index.php\">Index</a></p>\n");
		print ("</body>\n</html>\n");
		exit;
	}
}

if (isset($_POST['rating']))
{
	switch($_POST['rating'])
	{
		case 'one':
			$message = "<p>You have rated this product to one star.</p>\n";
			$update = "UPDATE products SET OneStar = OneStar + 1 WHERE ProductReference = 75895;";
			break;
		case 'two':
			$message = "<p>You have rated this product to two stars.</p>\n";
			$update = "UPDATE products SET TwoStars = TwoStars + 1 WHERE ProductReference = 75895;";
			break;
		case 'three':
			$message = "<p>You have rated this product to three stars.</p>\n";
			$update = "UPDATE products SET ThreeStars = ThreeStars + 1 WHERE ProductReference = 75895;";
			break;
		case 'four':
			$message = "<p>You have rated this product to four stars.</p>\n";
			$update = "UPDATE products SET FourStars = FourStars + 1 WHERE ProductReference = 75895;";
			break;
		case 'five':
			$message = "<p>You have rated this product to five stars.</p>\n";
			$update = "UPDATE products SET FiveStars = FiveStars + 1 WHERE ProductReference = 75895;";
			break;
		default:
			$message = "<p>Invalid rating.</p>\n";
	}

}
?>
	<h1>Five Stars - Update v6</h1>

<p>Product: 1974 Porsche 911 Turbo 3.0</p>

<?php
if (isset($message))
{
	print ($message);

	if (isset($update))
	{
		/* increment the star rating in the database */
		$dbfile = new PDO('sqlite:products.db3');
		$dbfile->exec($update);
		$dbfile = null;

		/* write a cookie to record the action (5 minutes) */
		/* (name, value, expires, path, domain, secure, httponly) */
		setcookie("update", "yes", time()+300, null, null, true, true);
	}
}
else
{
	print ("<form method=\"post\" action=\"update-v6.php\">\n<fieldset>\n");

	$choices = array("five", "four", "three", "two", "one");

	/* print each option row from five stars to one */
	for ($i = 0; $i < 5 ; $i++)
	{
		print ("<label><input type=\"radio\" name=\"rating\" value=\"$choices[$i]\">\n<span>\n");

		/* print as many "full stars" as needed */
		for ($j = (5 - $i); $j > 0; $j--)
		{
			print ("<img src=\"stars/Full_Star_Yellow.svg\" height=\"32\" width=\"32\" alt=\"Full Star\">\n");
		}

		/* print as many "empty stars" as needed */
		for ($j = $i; $j > 0; $j--)
		{
			print ("<img src=\"stars/Empty_Star.svg\" height=\"32\" width=\"32\" alt=\"Empty Star\">\n");
		}

		print ("</span>\n</label>\n");
	}

	print ("<input type=\"submit\" value=\"Rate this product\">\n");
	print ("</fieldset></form>\n");
	print ("<p>Note: using this form will create a cookie in your web browser.</p>\n");
}
?>

<p><a href="index.php">Index</a></p>
</body>
</html>
